# Uses of Class
jdk.jfr.consumer.RecordedEvent

Packages that use RecordedEvent
Package
Description
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.
jdk.management.jfr
This package contains classes to control and monitor Flight Recorder over Java Management Extensions (JMX).

## Uses of RecordedEvent in jdk.jfr.consumer

Methods in jdk.jfr.consumer that return RecordedEvent
Modifier and Type
Method
Description
`RecordedEvent`
RecordingFile.`readEvent()`
Reads the next event in the recording.
Methods in jdk.jfr.consumer that return types with arguments of type RecordedEvent
Modifier and Type
Method
Description
`static List<RecordedEvent>`
RecordingFile.`readAllEvents(Path path)`
Returns a list of all events in a file.
Method parameters in jdk.jfr.consumer with type arguments of type RecordedEvent
Modifier and Type
Method
Description
`void`
EventStream.`onEvent(String eventName, Consumer<RecordedEvent> action)`
Registers an action to perform on all events matching a name.
`void`
EventStream.`onEvent(Consumer<RecordedEvent> action)`
Registers an action to perform on all events in the stream.
`void`
RecordingStream.`onEvent(String eventName, Consumer<RecordedEvent> action)`
`void`
RecordingStream.`onEvent(Consumer<RecordedEvent> action)`
`void`
RecordingFile.`write(Path destination, Predicate<RecordedEvent> filter)`
Filter out events and write them to a new file.

## Uses of RecordedEvent in jdk.management.jfr

Method parameters in jdk.management.jfr with type arguments of type RecordedEvent
Modifier and Type
Method
Description
`void`
RemoteRecordingStream.`onEvent(String eventName, Consumer<RecordedEvent> action)`
`void`
RemoteRecordingStream.`onEvent(Consumer<RecordedEvent> action)`